Skip to main content
GET
/
refunds
List refunds
curl --request GET \
  --url https://api.withacclaim.com/v1/refunds \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "rf_AbC123XyZ",
      "payment_id": "pay_Def456UvW",
      "status": "Processing",
      "amount": 50000,
      "currency": "USD",
      "reason": "Customer request",
      "external_id": "ref_processor_123",
      "external_status": "pending",
      "metadata": {
        "custom_field": "value",
        "source": "api"
      },
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string

Response

A list of refunds.

data
object[]
next_cursor
string | null
has_more
boolean
Last modified on April 16, 2026